Package org.thymeleaf.extras.springsecurity5.util

## Class SpringSecurityContextUtils

- Object
- - org.thymeleaf.extras.springsecurity5.util.SpringSecurityContextUtils

-     public final class SpringSecurityContextUtils
      extends Object

  Since:
    3.0.1
  Author:
    Daniel Fernández

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `SECURITY_CONTEXT_MODEL_ATTRIBUTE_NAME` | This is the name of the model attribute that will hold the (asychronously resolved) `SecurityContext` object.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static org.springframework.context.ApplicationContext` | `getApplicationContext​(org.thymeleaf.context.IContext context)` |
    `static org.springframework.security.core.Authentication` | `getAuthenticationObject​(org.thymeleaf.context.IContext context)` |
    `static String` | `getContextPath​(org.thymeleaf.context.IContext context)` |
    `static Object` | `getRequestAttribute​(org.thymeleaf.context.IContext context, String attributeName)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SECURITY_CONTEXT_MODEL_ATTRIBUTE_NAME

          public static final String SECURITY_CONTEXT_MODEL_ATTRIBUTE_NAME

      This is the name of the model attribute that will hold the (asychronously resolved) `SecurityContext` object.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getApplicationContext

          public static org.springframework.context.ApplicationContext getApplicationContext​(org.thymeleaf.context.IContext context)

    - #### getRequestAttribute

          public static Object getRequestAttribute​(org.thymeleaf.context.IContext context,
                                                   String attributeName)

    - #### getContextPath

          public static String getContextPath​(org.thymeleaf.context.IContext context)

    - #### getAuthenticationObject

          public static org.springframework.security.core.Authentication getAuthenticationObject​(org.thymeleaf.context.IContext context)